% Parameter
a = -1.;
b = +1.;
c = -1.;
d = +1.;
Nx = 128;
Ny = 128;

% 1: Punkt (2,2)
xp = 2.;
yp = 2.;
f = @(x,y) 1./sqrt((x - xp).^2 + (y - yp).^2);
I1 = 1.4493948762686699; % exacter Wert
Q1 = trapez2D(f,a,b,Nx,c,d,Ny);
fprintf('Phi( 2, 2) = %f und der Fehler = %e \n',Q1,abs(Q1 - I1));

% 2: Punkt (10,10)
xp = 10.;
yp = 10.;
f = @(x,y) 1./sqrt((x - xp).^2 + (y - yp).^2);
I2 = 0.2830800703857426; % exacter Wert
Q2 = trapez2D(f,a,b,Nx,c,d,Ny);
fprintf('Phi(10,10) = %f und der Fehler = %e \n',Q2,abs(Q2 - I2));

% 3: Punkt (20,20)
xp = 20.;
yp = 20.;
f = @(x,y) 1./sqrt((x - xp).^2 + (y - yp).^2);
I3 = 0.1414508706242226; % exacter Wert
Q3 = trapez2D(f,a,b,Nx,c,d,Ny);
fprintf('Phi(20,20) = %f und der Fehler = %e \n',Q3,abs(Q3 - I3));

